<?php

\spl_autoload_register(function ($class) {
  static $map = array (
  'Sukellos\\WP_Sukellos_Scrapio_Loader' => 'sukellos-scrapio.php',
  'Sukellos\\WP_Sukellos_Scrapio' => 'class-wp-sukellos-scrapio.php',
  'Sukellos\\WP_Scrapio_Exception' => 'includes/class-wp-scrapio-exception.php',
  'Sukellos\\WP_Scrapio_Importer' => 'includes/class-wp-scrapio-importer.php',
  'Sukellos\\WP_Scrapio_Scheduler' => 'includes/class-wp-scrapio-scheduler.php',
  'Sukellos\\WP_Scrapio_Cacher' => 'includes/class-wp-scrapio-cacher.php',
  'Sukellos\\WP_Scrapio_CPT_Mapper' => 'includes/class-wp-scrapio-cpt-mapper.php',
  'Sukellos\\Admin\\WP_Sukellos_Scrapio_Admin' => 'admin/class-wp-sukellos-scrapio-admin.php',
  'Sukellos\\Admin\\WP_Scrapio_Admin_Settings' => 'admin/class-wp-scrapio-admin-settings.php',
  'Sukellos\\Admin\\WP_Scrapio_Admin_Debug' => 'admin/class-wp-scrapio-admin-debug.php',
  'Sukellos\\Admin\\WP_Scrapio_Admin_Import' => 'admin/class-wp-scrapio-admin-import.php',
  'Sukellos\\Admin\\WP_Scrapio_Admin_Searches' => 'admin/class-wp-scrapio-admin-searches.php',
  'Sukellos\\Admin\\WP_Scrapio_Admin_Entity' => 'admin/class-wp-scrapio-admin-entity.php',
  'Sukellos\\Admin\\WP_Scrapio_Admin_Entities_List' => 'admin/class-wp-scrapio-admin-entities-list.php',
  'Sukellos\\Dao\\WP_Scrapio_Gmap_Search_Dao' => 'includes/dao/class-wp-scrapio-gmap-search-dao.php',
  'Sukellos\\Dao\\WP_Scrapio_Gmap_Entities_Dao' => 'includes/dao/class-wp-scrapio-gmap-entities-dao.php',
  'Sukellos\\ScrapioAPI\\WP_Scrapio_Item' => 'includes/scrapio-api/class-wp-scrapio-item.php',
  'Sukellos\\ScrapioAPI\\WP_Scrapio_Subscription' => 'includes/scrapio-api/subscription/class-wp-scrapio-subscription.php',
  'Sukellos\\ScrapioAPI\\WP_Scrapio_Types' => 'includes/scrapio-api/types/class-wp-scrapio-types.php',
  'Sukellos\\ScrapioAPI\\WP_Scrapio_Locations' => 'includes/scrapio-api/locations/class-wp-scrapio-locations.php',
  'Sukellos\\ScrapioAPI\\WP_Scrapio_Search' => 'includes/scrapio-api/search/class-wp-scrapio-search.php',
  'Sukellos\\ScrapioAPI\\WP_Scrapio_API_Gmap_Search_Param' => 'includes/scrapio-api/class-wp-scrapio-gmap-search-param.php',
  'Sukellos\\ScrapioAPI\\WP_Scrapio_API' => 'includes/scrapio-api/class-wp-scrapio-api.php',
  'Sukellos\\ScrapioAPI\\WP_Scrapio_API_Request' => 'includes/scrapio-api/class-wp-scrapio-api-request.php',
  'Sukellos\\ScrapioAPI\\WP_Scrapio_API_Response' => 'includes/scrapio-api/class-wp-scrapio-api-response.php',
  'Sukellos\\WP_Scrapio_Entities_List_Table' => 'includes/class-wp-scrapio-entities-list-table.php',
  'Sukellos\\WP_Scrapio_Searches_List_Table' => 'includes/class-wp-scrapio-searches-list-table.php',
  'Sukellos\\Field' => 'includes/gmap-entity-fields/abstract-field.php',
  'Sukellos\\URL_Repeater_Data' => 'includes/gmap-entity-fields/abstract-url-repeater-data.php',
  'Sukellos\\Entity_Id' => 'includes/gmap-entity-fields/class-entity-id.php',
  'Sukellos\\Place_Id' => 'includes/gmap-entity-fields/class-place-id.php',
  'Sukellos\\Link' => 'includes/gmap-entity-fields/class-link.php',
  'Sukellos\\Phone' => 'includes/gmap-entity-fields/class-phone.php',
  'Sukellos\\Photos' => 'includes/gmap-entity-fields/class-photos.php',
  'Sukellos\\Website' => 'includes/gmap-entity-fields/class-website.php',
  'Sukellos\\Google_Id' => 'includes/gmap-entity-fields/class-google-id.php',
  'Sukellos\\Reviews_Id' => 'includes/gmap-entity-fields/class-reviews-id.php',
  'Sukellos\\Price_Range' => 'includes/gmap-entity-fields/class-price-range.php',
  'Sukellos\\Emails' => 'includes/gmap-entity-fields/class-emails.php',
  'Sukellos\\Twitter' => 'includes/gmap-entity-fields/class-twitter.php',
  'Sukellos\\Youtube' => 'includes/gmap-entity-fields/class-youtube.php',
  'Sukellos\\Facebook' => 'includes/gmap-entity-fields/class-facebook.php',
  'Sukellos\\Linkedin' => 'includes/gmap-entity-fields/class-linkedin.php',
  'Sukellos\\Instagram' => 'includes/gmap-entity-fields/class-instagram.php',
  'Sukellos\\Contact_Pages' => 'includes/gmap-entity-fields/class-contact-pages.php',
  'Sukellos\\Location_City' => 'includes/gmap-entity-fields/class-location-city.php',
  'Sukellos\\Reviews_Count' => 'includes/gmap-entity-fields/class-reviews-count.php',
  'Sukellos\\Working_Hours' => 'includes/gmap-entity-fields/class-working-hours.php',
  'Sukellos\\Location' => 'includes/gmap-entity-fields/class-location.php',
  'Sukellos\\Location_Street_1' => 'includes/gmap-entity-fields/class-location-street1.php',
  'Sukellos\\Location_Street_2' => 'includes/gmap-entity-fields/class-location-street2.php',
  'Sukellos\\Reviews_Per_Score' => 'includes/gmap-entity-fields/class-reviews-per-score.php',
  'Sukellos\\Phone_International' => 'includes/gmap-entity-fields/class-phone-international.php',
  'Sukellos\\Location_Admin1_Code' => 'includes/gmap-entity-fields/class-location-admin1-code.php',
  'Sukellos\\Location_Admin2_Code' => 'includes/gmap-entity-fields/class-location-admin2-code.php',
  'Sukellos\\Location_Postal_Code' => 'includes/gmap-entity-fields/class-location-postal-code.php',
  'Sukellos\\Location_Country_Code' => 'includes/gmap-entity-fields/class-location-country-code.php',
  'Sukellos\\Location_Full_Address' => 'includes/gmap-entity-fields/class-location-full-address.php',
);

  if (isset($map[$class])) {
    require_once __DIR__ . '/' . $map[$class];
  }
}, true, false);