<?php

namespace Sukellos;

defined( 'ABSPATH' ) or exit;

/**
 * Entity Id field Class
 *
 * @since 1.0.0
 */
class Entity_Id extends Field {

    protected $field_id = 'entity_id';
    protected $field_label = 'Entity id';

    /**
     * Get the specific ACF Custom Field definition
     */
    public function get_specific_acf_field_definition() {

        return array(

            'type' => 'text',

            'wrapper' => array(
                'width' => '',
                'class' => 'hidden_acf_field',
                'id' => '',
            ),

        );
    }
}
