<?php

namespace Sukellos;

defined( 'ABSPATH' ) or exit;

/**
 * Photos field Class
 *
 * @since 1.0.0
 */
class Google_Id extends Field {

    // "google_id": "0x47e6719b62e8ffbd:0xb39875db294a3e7b",

    protected $field_id = 'google_id';
    protected $field_label = 'Google_Id';

    /**
     * Get the specific ACF Custom Field definition
     */
    public function get_specific_acf_field_definition() {

        return array(
            'type' => 'text',
            'instructions' => '',
            'required' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => 'hidden_acf_field',
                'id' => '',
            ),
            'default_value' => '',
            'placeholder' => '',
        );
    }
}
