<?php

namespace Sukellos;

defined( 'ABSPATH' ) or exit;

/**
 * Link field Class
 *
 * @since 1.0.0
 */
class Link extends Field {

    // 	"link": "https://www.google.com/maps/preview/place/Center+Paris+Anim+'+Poterne+Des+Peupliers,+1+Rue+Gouthi%C3%A8re,+75013+Paris,+France/@48.8206464,2.3512259,2627a,13.1y/data=!4m2!3m1!1s0x47e6719b62e8ffbd:0xb39875db294a3e7b",

    protected $field_id = 'link';
    protected $field_label = 'Link';

    /**
     * Get the specific ACF Custom Field definition
     */
    public function get_specific_acf_field_definition() {

        return array(
            'type' => 'url',
            'instructions' => '',
            'required' => 0,
            'default_value' => '',
            'placeholder' => '',
        );
    }
}
