<?php

namespace Sukellos;

defined( 'ABSPATH' ) or exit;

/**
 * Location_Full_Address field Class
 *
 * @since 1.0.0
 */
class Location_Full_Address extends Field {

    //	"location_country_code": "FR",

    protected $field_id = 'location_full_address';
    protected $field_label = 'Full address';

    /**
     * Get the specific ACF Custom Field definition
     */
    public function get_specific_acf_field_definition() {

        return array(
            'type' => 'textarea',
            'instructions' => '',
            'required' => 0,
            'default_value' => '',
            'maxlength' => '',
            'rows' => 4,
            'placeholder' => '',
            'new_lines' => '',
        );
    }
}
