<?php

namespace Sukellos;

defined( 'ABSPATH' ) or exit;

/**
 * Location_Postal_Code field Class
 *
 * @since 1.0.0
 */
class Location_Postal_Code extends Field {

    //	"location_postal_code": "75013",

    protected $field_id = 'location_postal_code';
    protected $field_label = 'Postal code';

    /**
     * Get the specific ACF Custom Field definition
     */
    public function get_specific_acf_field_definition() {

        return array(
            'key' => 'field_'.Field::GMAP_ENTITY.'_'.'location_postal_code',
            'label' => __( 'Postal code', 'wp-sukellos-fw' ),
            'name' => Field::GMAP_ENTITY.'_'.'location_postal_code',
            'aria-label' => '',
            'type' => 'text',
            'instructions' => '',
            'required' => 0,
            'conditional_logic' => 0,
            'wrapper' => array(
                'width' => '',
                'class' => '',
                'id' => '',
            ),
            'default_value' => '',
            'maxlength' => '',
            'placeholder' => '',
            'prepend' => '',
            'append' => '',
        );
    }
}
