<?php

namespace Sukellos;

defined( 'ABSPATH' ) or exit;

/**
 * Phone field Class
 *
 * @since 1.0.0
 */
class Phone extends Field {

    // "phone": "+33 1 45 88 46 68",

    protected $field_id = 'phone';
    protected $field_label = 'Phone';

    /**
     * Get the specific ACF Custom Field definition
     */
    public function get_specific_acf_field_definition() {

        return array(
            'type' => 'text',
            'instructions' => '',
            'required' => 0,
            'default_value' => '',
            'placeholder' => '',
        );
    }
}
