<?php

namespace Sukellos;

defined( 'ABSPATH' ) or exit;

/**
 * Website field Class
 *
 * @since 1.0.0
 */
class Website extends Field {

    // "website": "https://linkr.bio/cpapoternedespeupliers",

    protected $field_id = 'website';
    protected $field_label = 'Website';

    /**
     * Get the specific ACF Custom Field definition
     */
    public function get_specific_acf_field_definition() {

        return array(
            'type' => 'url',
            'instructions' => '',
            'required' => 0,
            'default_value' => '',
            'placeholder' => '',
        );
    }
}
